﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Nextbit.JadeRealState.Services.DataContexts;

namespace Nextbit.JadeRealState.Services.Migrations
{
    [DbContext(typeof(RealStateContext))]
    [Migration("20190521225507_AddOriginsTable")]
    partial class AddOriginsTable
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.0-rtm-35687")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Builders.BuilderCompany", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Address")
                        .HasColumnName("Address")
                        .HasMaxLength(500)
                        .IsUnicode(false);

                    b.Property<string>("BusinessName")
                        .HasColumnName("BusinessName")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("ContactNumber")
                        .IsRequired()
                        .HasColumnName("ContactNumber")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ElectronicAddresses")
                        .HasColumnName("ElectronicAddresses")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<string>("Email")
                        .HasColumnName("Email")
                        .HasMaxLength(500)
                        .IsUnicode(false);

                    b.Property<string>("IdNumber")
                        .HasColumnName("IdNumber")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("Owner")
                        .HasColumnName("Owner")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("OwnerContactNumber")
                        .HasColumnName("OwnerContactNumber")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("BuilderCompany");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Clients.Client", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("CellPhoneNumber")
                        .HasColumnName("CellPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorCellPhoneNumber")
                        .HasColumnName("CoDebtorCellPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorEmail")
                        .HasColumnName("CoDebtorEmail")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorFirstName")
                        .HasColumnName("CoDebtorFirstName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorFirstSurname")
                        .HasColumnName("CoDebtorFirstSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<decimal>("CoDebtorGrossMonthlyIncome");

                    b.Property<string>("CoDebtorIdentificationCard")
                        .HasColumnName("CoDebtorIdentificationCard")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorMiddleName")
                        .HasColumnName("CoDebtorMiddleName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorPhoneNumber")
                        .HasColumnName("CoDebtorPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorSecondSurname")
                        .HasColumnName("CoDebtorSecondSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorWorkplace");

                    b.Property<string>("Comments");

                    b.Property<int?>("ContactTypeId");

                    b.Property<int>("ContactedByTypeId");

                    b.Property<bool>("ContributeToRap");

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CreditOfficer")
                        .HasColumnName("CreditOfficer")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Email")
                        .HasColumnName("Email")
                        .HasMaxLength(128)
                        .IsUnicode(false);

                    b.Property<string>("FinancialInstitution")
                        .HasColumnName("FinancialInstitution")
                        .HasMaxLength(50);

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnName("FirstName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("FirstSurname")
                        .IsRequired()
                        .HasColumnName("FirstSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<decimal>("GrossMonthlyIncome");

                    b.Property<string>("HomeAddress")
                        .HasColumnName("HomeAddress")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("IdentificationCard")
                        .HasColumnName("IdentificationCard")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("MiddleName")
                        .HasColumnName("MiddleName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Nationality")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Nationality")
                        .HasMaxLength(100)
                        .IsUnicode(false)
                        .HasDefaultValue("Hondureño Nac.");

                    b.Property<bool>("OwnHome");

                    b.Property<string>("PhoneNumber")
                        .HasColumnName("PhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<int?>("ProjectId");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("SalesAdvisor")
                        .HasColumnName("SalesAdvisor")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("SecondSurname")
                        .HasColumnName("SecondSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<string>("Workplace");

                    b.HasKey("Id");

                    b.HasIndex("ContactTypeId");

                    b.HasIndex("ProjectId");

                    b.ToTable("Clients");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ContactTypes.ContactType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("ContactTypes");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.HouseDesigns.HouseDesign", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("HouseSpecifications")
                        .HasColumnName("HouseSpecifications")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<int>("ProjectId")
                        .HasColumnName("ProjectId");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("HouseDesign");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Origin.Origin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("Origins");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Projects.Project", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Address")
                        .HasColumnName("Address")
                        .HasMaxLength(500)
                        .IsUnicode(false);

                    b.Property<string>("City")
                        .HasColumnName("City")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("Country")
                        .HasColumnName("Country")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("State")
                        .IsRequired()
                        .HasColumnName("State")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("Projects");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.SupplierServices.SupplierService", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("SupplierServices");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.Rol", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnName("Description")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("Roles");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.RolePermission", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description");

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(80)
                        .IsUnicode(false);

                    b.Property<string>("PermissionOption")
                        .IsRequired()
                        .HasColumnName("PermissionOption")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<string>("RolId")
                        .IsRequired()
                        .HasColumnName("RolId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("RolePermissions");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnName("FirstName")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasColumnName("LastName")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Password")
                        .HasColumnName("Password")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("PasswordHash")
                        .IsRequired()
                        .HasColumnName("PasswordHash")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("PhoneNumber")
                        .HasColumnName("PhoneNumber")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("SecondName")
                        .HasColumnName("SecondName")
                        .HasMaxLength(50)
                        .IsUnicode(true);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnName("UserId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("email")
                        .HasColumnName("Email")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.HasKey("Id");

                    b.ToTable("Users");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.UserRol", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<int>("RolId")
                        .HasColumnName("RolId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnName("UserId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.HasKey("Id");

                    b.ToTable("UserRoles");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Clients.Client", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.ContactTypes.ContactType", "ContactType")
                        .WithMany("Clients")
                        .HasForeignKey("ContactTypeId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Projects.Project", "Project")
                        .WithMany("Clients")
                        .HasForeignKey("ProjectId");
                });
#pragma warning restore 612, 618
        }
    }
}
